Package: org.gmetrics.analyzer

## [Groovy] Interface SourceAnalyzer

- The interface for objects that can analyze the source files within one or more directory trees using a specified MetricSet and produce report results.

  Authors:
    Chris Mair
  Version:
    \$Revision: 69 \$ - \$Date: 2010-02-12 22:30:12 -0500 (Fri, 12 Feb 2010) \$

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ResultsNode` | `analyze(MetricSet metricSet)` Analyze all source code using the specified set of Metrics and return the results.
    `` | `List` | `getSourceDirectories()` Return the List of source directories to be analyzed.

- - ### Method Detail

    - #### ResultsNode analyze(MetricSet metricSet)

      Analyze all source code using the specified set of Metrics and return the results.

      Parameters:
        `metricSet` - - the MetricSet to apply to each source component; must not be null.
      Returns:
        the results from applying the metrics to all of the source

    - #### List getSourceDirectories()

      Return the List of source directories to be analyzed. May be empty; may not be null.